%define prefix /usr
%define name butt
%define version 0.1.12
%define release %mkrel 2
%define url http://sourceforge.net/projects/butt/

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
URL:		%{url}
Source:		%{name}-%{version}-src.tar.xz
Source2:	radialcast-blue.png
Patch0:		configure_butt.patch
Summary:	grabs audio data from your sound card
Summary(de):	Audiodaten von Ihrer Soundkarte aufnehmen
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	%{_lib}fltk-devel >= 1.1.8
BuildRequires:  %{_lib}portaudio2-devel
BuildRequires:	libvorbis-devel
BuildRequires:	%{_lib}lame0-devel	
Obsoletes:	%name < %version

%description
butt is a Linux tool that grabs audio data from your sound card.

butt stands for broadcast using this tool and is a Linux tool that 
grabs audio data from your sound card (line-in, CD, wave, etc.), 
encodes the PCM data into MP3, and sends it to a streaming server. 
It supports ShoutCast and IceCast.


#german
%description -l de
Butt ist ein Linux-Tool, das Audio-Daten von Ihrer Soundkarte 
greift.

Butt steht für (broadcast using this tool) und ist ein Tool, das 
Audio-Daten von der Soundkarte (Line-In, CD-, Wave, etc.) greift, 
codiert die PCM-Daten in MP3, und sendet es an einem Streaming-
Server.
Unterstützt wird ShoutCast und IceCast.


%prep

%setup -q -n %{name}-%{version}
%patch0 -p0

%build

./configure

%make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_bindir}
install $RPM_BUILD_DIR/%{name}-%{version}/src/%{name} -m755 %{buildroot}%{_bindir}/

#desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{summary}
Comment[de]=Audiodaten von Ihrer Soundkarte aufnehmen
Exec=%{_bindir}/%{name}
Icon=radialcast-blue.png
Terminal=false
Type=Application
Categories=Categories=Application;X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio
Encoding=UTF-8
EOF

mkdir -p %{buildroot}/%{_datadir}/pixmaps
install -m 644 %SOURCE2 %{buildroot}%{_datadir}/pixmaps/radialcast-blue.png

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/radialcast-blue.png

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Thu Nov 10 2011 leiche <meisssw01 at gmail.com> 0.1.12-2leiche2011
- rebuild with officialese icon (created by Neal Brooks)

* Sun Oct 16 2011 leiche <meisssw01 at gmail.com> 0.1.12-1leiche2011
- Initial package
